Arduino

Reference Language | Libraries | Comparison | Changes

EEPROM

## write()

#### Description

Write a byte to the EEPROM.

#### Syntax

EEPROM.write(address, value)

#### Parameters

address: the location to write to, starting from 0 (int)

value: the value to write, from 0 to 255 (byte)

#### Returns

none

#### Note

An EEPROM write takes 3.3 ms to complete. The EEPROM memory has a specified life of 100,000 write/erase cycles, so you may need to be careful about how often you write to it.

#### Example

#include <EEPROM.h>
void setup()
{
for (int i = 0; i < 512; i++)
EEPROM.write(i, i);
}
void loop()
{
}
[Get Code]

#### See also

- EEPROM.read()

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Arduino reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Code samples in the reference are released into the public domain.

©Arduino | Edit Page | Page History | Printable View | All Recent Site Changes